@base <https://purl.org/coscine/ap/qudt/quantitykind/BulkModulus/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/BulkModulus/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Bulk Modulus sind."@de,
    "Profile for all units that are a/an Bulk Modulus."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Bulk Modulus"@de,
    "Unit: Bulk Modulus"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:PA unit:PicoPA ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:PA rdfs:label "Pascal"@de, "Pascal"@cs, "Pascal"@en, "Pascal"@es, "Pascal"@fr, "Pascal"@hu, "Pascal"@it, "Pascal"@ms, "Pascal"@pt, "Pascal"@ro, "Pascal"@sl, "Pascal"@tr, "Pascalium"@la, "Paskal"@pl, "Πασκάλ"@el, "Паскал"@bg, "Паскаль"@ru, "פסקל"@he, "باسكال"@ar, "پاسگال"@fa, "पास्कल"@hi, "パスカル"@ja, "帕斯卡"@zh .
unit:PicoPA rdfs:label "Picopascal"@en .
